use crate::request::assets::DataResponse;
use rocket::{Build, get, routes};

#[get("/assets/htmx.min.js")]
pub fn htmx_script_route() -> DataResponse {
    DataResponse::new(
        include_str!("htmx.min.js").as_bytes().to_vec(),
        "application/javascript".to_string(),
        Some(60 * 60 * 24 * 3),
    )
}

pub trait AssetRoutes {
    fn mount_assets(self) -> Self;
}

impl AssetRoutes for rocket::Rocket<Build> {
    fn mount_assets(self) -> Self {
        self.mount("/", routes![crate::asset::htmx_script_route])
    }
}
